<?xml version="1.0" encoding="UTF-8"?>
<AudioParam version="1.1">
  <ParamTree>
    <Param path="System,RCV" param_id="0"/>
    <Param path="System,HS" param_id="0"/>
    <Param path="System,SPK" param_id="0"/>
    <Param path="System,HSSPK" param_id="0"/>
    <Param path="System,HS5POLE" param_id="0"/>
    <Param path="System,HS5POLE_ANC" param_id="0"/>
    <Param path="System,USB" param_id="0"/>
    <Param path="System,BT_A2DP" param_id="0"/>
    <Param path="System,BT_A2DP_HP" param_id="0"/>
    <Param path="System,BT_A2DP_SPK" param_id="0"/>
    <Param path="System,HEARING_AID" param_id="1"/>
    <Param path="Ring,RCV" param_id="0"/>
    <Param path="Ring,HS" param_id="0"/>
    <Param path="Ring,SPK" param_id="0"/>
    <Param path="Ring,HSSPK" param_id="0"/>
    <Param path="Ring,HS5POLE" param_id="0"/>
    <Param path="Ring,HS5POLE_ANC" param_id="0"/>
    <Param path="Ring,USB" param_id="0"/>
    <Param path="Ring,BT_A2DP" param_id="0"/>
    <Param path="Ring,BT_A2DP_HP" param_id="0"/>
    <Param path="Ring,BT_A2DP_SPK" param_id="0"/>
    <Param path="Ring,HEARING_AID" param_id="1"/>
    <Param path="Music,RCV" param_id="0"/>
    <Param path="Music,HS" param_id="0"/>
    <Param path="Music,SPK" param_id="0"/>
    <Param path="Music,HSSPK" param_id="0"/>
    <Param path="Music,HS5POLE" param_id="0"/>
    <Param path="Music,HS5POLE_ANC" param_id="0"/>
    <Param path="Music,USB" param_id="0"/>
    <Param path="Music,BT_A2DP" param_id="0"/>
    <Param path="Music,BT_A2DP_HP" param_id="0"/>
    <Param path="Music,BT_A2DP_SPK" param_id="0"/>
    <Param path="Music,HEARING_AID" param_id="1"/>
    <Param path="Alarm,RCV" param_id="0"/>
    <Param path="Alarm,HS" param_id="0"/>
    <Param path="Alarm,SPK" param_id="0"/>
    <Param path="Alarm,HSSPK" param_id="0"/>
    <Param path="Alarm,HS5POLE" param_id="0"/>
    <Param path="Alarm,HS5POLE_ANC" param_id="0"/>
    <Param path="Alarm,USB" param_id="0"/>
    <Param path="Alarm,BT_A2DP" param_id="0"/>
    <Param path="Alarm,BT_A2DP_HP" param_id="0"/>
    <Param path="Alarm,BT_A2DP_SPK" param_id="0"/>
    <Param path="Alarm,HEARING_AID" param_id="1"/>
    <Param path="Notification,RCV" param_id="0"/>
    <Param path="Notification,HS" param_id="0"/>
    <Param path="Notification,SPK" param_id="0"/>
    <Param path="Notification,HSSPK" param_id="0"/>
    <Param path="Notification,HS5POLE" param_id="0"/>
    <Param path="Notification,HS5POLE_ANC" param_id="0"/>
    <Param path="Notification,USB" param_id="0"/>
    <Param path="Notification,BT_A2DP" param_id="0"/>
    <Param path="Notification,BT_A2DP_HP" param_id="0"/>
    <Param path="Notification,BT_A2DP_SPK" param_id="0"/>
    <Param path="Notification,HEARING_AID" param_id="1"/>
    <Param path="Bluetooth_sco,RCV" param_id="0"/>
    <Param path="Bluetooth_sco,HS" param_id="0"/>
    <Param path="Bluetooth_sco,SPK" param_id="0"/>
    <Param path="Bluetooth_sco,HSSPK" param_id="0"/>
    <Param path="Bluetooth_sco,HS5POLE" param_id="0"/>
    <Param path="Bluetooth_sco,HS5POLE_ANC" param_id="0"/>
    <Param path="Bluetooth_sco,USB" param_id="0"/>
    <Param path="Bluetooth_sco,BT_A2DP" param_id="0"/>
    <Param path="Bluetooth_sco,BT_A2DP_HP" param_id="0"/>
    <Param path="Bluetooth_sco,BT_A2DP_SPK" param_id="0"/>
    <Param path="Bluetooth_sco,HEARING_AID" param_id="1"/>
    <Param path="Enforced_Audible,RCV" param_id="0"/>
    <Param path="Enforced_Audible,HS" param_id="0"/>
    <Param path="Enforced_Audible,SPK" param_id="0"/>
    <Param path="Enforced_Audible,HSSPK" param_id="0"/>
    <Param path="Enforced_Audible,HS5POLE" param_id="0"/>
    <Param path="Enforced_Audible,HS5POLE_ANC" param_id="0"/>
    <Param path="Enforced_Audible,USB" param_id="0"/>
    <Param path="Enforced_Audible,BT_A2DP" param_id="0"/>
    <Param path="Enforced_Audible,BT_A2DP_HP" param_id="0"/>
    <Param path="Enforced_Audible,BT_A2DP_SPK" param_id="0"/>
    <Param path="Enforced_Audible,HEARING_AID" param_id="1"/>
    <Param path="DTMF,RCV" param_id="0"/>
    <Param path="DTMF,HS" param_id="0"/>
    <Param path="DTMF,SPK" param_id="0"/>
    <Param path="DTMF,HSSPK" param_id="0"/>
    <Param path="DTMF,HS5POLE" param_id="0"/>
    <Param path="DTMF,HS5POLE_ANC" param_id="0"/>
    <Param path="DTMF,USB" param_id="0"/>
    <Param path="DTMF,BT_A2DP" param_id="0"/>
    <Param path="DTMF,BT_A2DP_HP" param_id="0"/>
    <Param path="DTMF,BT_A2DP_SPK" param_id="0"/>
    <Param path="DTMF,HEARING_AID" param_id="1"/>
    <Param path="TTS,RCV" param_id="0"/>
    <Param path="TTS,HS" param_id="0"/>
    <Param path="TTS,SPK" param_id="0"/>
    <Param path="TTS,HSSPK" param_id="0"/>
    <Param path="TTS,HS5POLE" param_id="0"/>
    <Param path="TTS,HS5POLE_ANC" param_id="0"/>
    <Param path="TTS,USB" param_id="0"/>
    <Param path="TTS,BT_A2DP" param_id="0"/>
    <Param path="TTS,BT_A2DP_HP" param_id="0"/>
    <Param path="TTS,BT_A2DP_SPK" param_id="0"/>
    <Param path="TTS,HEARING_AID" param_id="1"/>
    <Param path="Boot,RCV" param_id="0"/>
    <Param path="Boot,HS" param_id="0"/>
    <Param path="Boot,SPK" param_id="0"/>
    <Param path="Boot,HSSPK" param_id="0"/>
    <Param path="Boot,HS5POLE" param_id="0"/>
    <Param path="Boot,HS5POLE_ANC" param_id="0"/>
    <Param path="Boot,USB" param_id="0"/>
    <Param path="Boot,BT_A2DP" param_id="0"/>
    <Param path="Boot,BT_A2DP_HP" param_id="0"/>
    <Param path="Boot,BT_A2DP_SPK" param_id="0"/>
    <Param path="Boot,HEARING_AID" param_id="1"/>
    <Param path="VIBSPK,RCV" param_id="0"/>
    <Param path="VIBSPK,HS" param_id="0"/>
    <Param path="VIBSPK,SPK" param_id="0"/>
    <Param path="VIBSPK,HSSPK" param_id="0"/>
    <Param path="VIBSPK,HS5POLE" param_id="0"/>
    <Param path="VIBSPK,HS5POLE_ANC" param_id="0"/>
    <Param path="VIBSPK,USB" param_id="0"/>
    <Param path="VIBSPK,BT_A2DP" param_id="0"/>
    <Param path="VIBSPK,BT_A2DP_HP" param_id="0"/>
    <Param path="VIBSPK,BT_A2DP_SPK" param_id="0"/>
    <Param path="VIBSPK,HEARING_AID" param_id="1"/>
    <Param path="Accessibility,RCV" param_id="0"/>
    <Param path="Accessibility,HS" param_id="0"/>
    <Param path="Accessibility,SPK" param_id="0"/>
    <Param path="Accessibility,HSSPK" param_id="0"/>
    <Param path="Accessibility,HS5POLE" param_id="0"/>
    <Param path="Accessibility,HS5POLE_ANC" param_id="0"/>
    <Param path="Accessibility,USB" param_id="0"/>
    <Param path="Accessibility,BT_A2DP" param_id="0"/>
    <Param path="Accessibility,BT_A2DP_HP" param_id="0"/>
    <Param path="Accessibility,BT_A2DP_SPK" param_id="0"/>
    <Param path="Accessibility,HEARING_AID" param_id="1"/>
    <Param path="Assistant,RCV" param_id="0"/>
    <Param path="Assistant,HS" param_id="0"/>
    <Param path="Assistant,SPK" param_id="0"/>
    <Param path="Assistant,HSSPK" param_id="0"/>
    <Param path="Assistant,HS5POLE" param_id="0"/>
    <Param path="Assistant,HS5POLE_ANC" param_id="0"/>
    <Param path="Assistant,USB" param_id="0"/>
    <Param path="Assistant,BT_A2DP" param_id="0"/>
    <Param path="Assistant,BT_A2DP_HP" param_id="0"/>
    <Param path="Assistant,BT_A2DP_SPK" param_id="0"/>
    <Param path="Assistant,HEARING_AID" param_id="1"/>
    <Param path="Default,Music,HS" param_id="19"/>
    <Param path="Default,Music,USB" param_id="2"/>
    <Param path="Default,System,USB" param_id="3"/>
    <Param path="Default,Ring,USB" param_id="4"/>
    <Param path="Default,Alarm,USB" param_id="5"/>
    <Param path="Default,Notification,USB" param_id="6"/>
    <Param path="Default,Enforced_Audible,USB" param_id="7"/>
    <Param path="Default,Music,SPK" param_id="8"/>
    <Param path="Default,System,SPK" param_id="9"/>
    <Param path="Default,Ring,SPK" param_id="10"/>
    <Param path="Default,Alarm,SPK" param_id="11"/>
    <Param path="Default,Notification,SPK" param_id="12"/>
    <Param path="Default,Bluetooth_sco,SPK" param_id="13"/>
    <Param path="Default,Enforced_Audible,SPK" param_id="14"/>
    <Param path="Default,DTMF,SPK" param_id="15"/>
    <Param path="Default,TTS,SPK" param_id="16"/>
    <Param path="Default,Accessibility,SPK" param_id="17"/>
    <Param path="Default,System,HS" param_id="18"/>
    <Param path="Default,Notification,HS" param_id="20"/>
    <Param path="Default,Bluetooth_sco,HS" param_id="21"/>
    <Param path="Default,Enforced_Audible,HS" param_id="22"/>
    <Param path="Default,DTMF,HS" param_id="23"/>
    <Param path="Default,TTS,HS" param_id="24"/>
    <Param path="Default,Accessibility,HS" param_id="25"/>
    <Param path="Default,Ring,BT_A2DP" param_id="40"/>
    <Param path="Default,Ring,BT_A2DP_HP" param_id="40"/>
    <Param path="Default,Ring,BT_A2DP_SPK" param_id="40"/>
    <Param path="Default,System,BT_A2DP" param_id="66"/>
    <Param path="Default,System,BT_A2DP_HP" param_id="66"/>
    <Param path="Default,System,BT_A2DP_SPK" param_id="66"/>
    <Param path="Default,Music,BT_A2DP" param_id="77"/>
    <Param path="Default,Music,BT_A2DP_HP" param_id="77"/>
    <Param path="Default,Music,BT_A2DP_SPK" param_id="77"/>
    <Param path="Default,Alarm,BT_A2DP" param_id="87"/>
    <Param path="Default,Alarm,BT_A2DP_HP" param_id="87"/>
    <Param path="Default,Alarm,BT_A2DP_SPK" param_id="87"/>
    <Param path="Default,Notification,BT_A2DP" param_id="97"/>
    <Param path="Default,Notification,BT_A2DP_HP" param_id="97"/>
    <Param path="Default,Notification,BT_A2DP_SPK" param_id="97"/>
    <Param path="Default,Bluetooth_sco,BT_A2DP" param_id="110"/>
    <Param path="Default,Bluetooth_sco,BT_A2DP_HP" param_id="110"/>
    <Param path="Default,Bluetooth_sco,BT_A2DP_SPK" param_id="110"/>
    <Param path="Default,Enforced_Audible,BT_A2DP" param_id="125"/>
    <Param path="Default,Enforced_Audible,BT_A2DP_HP" param_id="125"/>
    <Param path="Default,Enforced_Audible,BT_A2DP_SPK" param_id="125"/>
    <Param path="Default,DTMF,BT_A2DP" param_id="140"/>
    <Param path="Default,DTMF,BT_A2DP_HP" param_id="140"/>
    <Param path="Default,DTMF,BT_A2DP_SPK" param_id="140"/>
    <Param path="Default,TTS,BT_A2DP" param_id="145"/>
    <Param path="Default,TTS,BT_A2DP_HP" param_id="145"/>
    <Param path="Default,TTS,BT_A2DP_SPK" param_id="145"/>
    <Param path="Default,Accessibility,BT_A2DP" param_id="150"/>
    <Param path="Default,Accessibility,BT_A2DP_HP" param_id="150"/>
    <Param path="Default,Accessibility,BT_A2DP_SPK" param_id="150"/>
    <Param path="Default,Ring,HSSPK" param_id="151"/>
    <Param path="Default,Alarm,HSSPK" param_id="152"/>
    <Param path="Default,Notification,HSSPK" param_id="153"/>
    <Param path="Default,Bluetooth_sco,USB" param_id="154"/>
    <Param path="Default,DTMF,USB" param_id="155"/>
    <Param path="Default,TTS,USB" param_id="156"/>
    <Param path="Default,Accessibility,USB" param_id="157"/>
  </ParamTree>
  <ParamUnitPool>
    <ParamUnit param_id="0">
      <Param name="digital_gain" value="-64,-42,-39,-36,-33,-30,-27,-24,-21,-18,-15,-12,-9,-6,-3,0"/>
    </ParamUnit>
    <ParamUnit param_id="1">
      <Param name="digital_gain" value="-64,-52,-47,-43,-39,-35,-31,-27,-24,-19,-15,-12,-9,-6,-3,0"/>
    </ParamUnit>
    <ParamUnit param_id="2">
      <Param name="digital_gain" value="-64,-50,-44,-38,-32,-28,-26,-24,-21,-18,-15,-13,-11,-9,-7,-6"/>
    </ParamUnit>
    <ParamUnit param_id="3">
      <Param name="digital_gain" value="-64,-52,-48,-44,-40,-36,-32,-28,-24,-20,-16,-12,-9,-6,-3,0"/>
    </ParamUnit>
    <ParamUnit param_id="4">
      <Param name="digital_gain" value="-64,-52,-48,-44,-40,-36,-32,-28,-24,-20,-16,-12,-9,-6,-3,0"/>
    </ParamUnit>
    <ParamUnit param_id="5">
      <Param name="digital_gain" value="-64,-52,-48,-44,-40,-36,-32,-28,-24,-20,-16,-12,-9,-6,-3,0"/>
    </ParamUnit>
    <ParamUnit param_id="6">
      <Param name="digital_gain" value="-64,-52,-48,-44,-40,-36,-32,-28,-24,-20,-16,-12,-9,-6,-3,0"/>
    </ParamUnit>
    <ParamUnit param_id="7">
      <Param name="digital_gain" value="-64,-52,-48,-44,-40,-36,-32,-28,-24,-20,-16,-12,-9,-6,-3,0"/>
    </ParamUnit>
    <ParamUnit param_id="8">
      <Param name="digital_gain" value="-64,-50,-42,-36,-32,-28,-24,-21,-18,-16,-14,-12,-10,-8,-6,-4"/>
    </ParamUnit>
    <ParamUnit param_id="9">
      <Param name="digital_gain" value="-64,-48,-45,-42,-39,-36,-33,-30,-27,-24,-21,-18,-15,-12,-9,-6"/>
    </ParamUnit>
    <ParamUnit param_id="10">
      <Param name="digital_gain" value="-64,-50,-44,-39,-35,-31,-27,-24,-21,-18,-15,-12,-9,-6,-3,0"/>
    </ParamUnit>
    <ParamUnit param_id="11">
      <Param name="digital_gain" value="-64,-42,-39,-36,-33,-30,-27,-24,-21,-18,-15,-12,-9,-6,-3,0"/>
    </ParamUnit>
    <ParamUnit param_id="12">
      <Param name="digital_gain" value="-64,-50,-44,-39,-35,-31,-27,-24,-21,-18,-15,-12,-9,-6,-3,0"/>
    </ParamUnit>
    <ParamUnit param_id="13">
      <Param name="digital_gain" value="-64,-28,-26,-24,-22,-20,-18,-16,-14,-12,-10,-8,-6,-4,-2,0"/>
    </ParamUnit>
    <ParamUnit param_id="14">
      <Param name="digital_gain" value="-64,-48,-45,-42,-39,-36,-33,-30,-27,-24,-21,-18,-15,-12,-9,-6"/>
    </ParamUnit>
    <ParamUnit param_id="15">
      <Param name="digital_gain" value="-64,-48,-45,-42,-39,-36,-33,-30,-27,-24,-21,-18,-15,-12,-9,-6"/>
    </ParamUnit>
    <ParamUnit param_id="16">
      <Param name="digital_gain" value="-64,-50,-44,-39,-35,-31,-27,-24,-21,-18,-15,-12,-9,-6,-3,0"/>
    </ParamUnit>
    <ParamUnit param_id="17">
      <Param name="digital_gain" value="-64,-50,-44,-39,-35,-31,-27,-24,-21,-18,-15,-12,-9,-6,-3,0"/>
    </ParamUnit>
    <ParamUnit param_id="18">
      <Param name="digital_gain" value="-64,-48,-45,-42,-39,-36,-33,-30,-27,-24,-21,-18,-15,-12,-9,-6"/>
    </ParamUnit>
    <ParamUnit param_id="19">
      <Param name="digital_gain" value="-64,-42,-36,-31,-27,-24,-21,-19,-17,-13,-10,-7,-5,-3,-1,0"/>
    </ParamUnit>
    <ParamUnit param_id="20">
      <Param name="digital_gain" value="-64,-57,-52,-47,-42,-37,-33,-29,-25,-21,-17,-13,-9,-6,-3,0"/>
    </ParamUnit>
    <ParamUnit param_id="21">
      <Param name="digital_gain" value="-64,-57,-52,-47,-42,-37,-33,-29,-25,-21,-17,-13,-9,-6,-3,0"/>
    </ParamUnit>
    <ParamUnit param_id="22">
      <Param name="digital_gain" value="-64,-48,-45,-42,-39,-36,-33,-30,-27,-24,-21,-18,-15,-12,-9,-6"/>
    </ParamUnit>
    <ParamUnit param_id="23">
      <Param name="digital_gain" value="-64,-48,-45,-42,-39,-36,-33,-30,-27,-24,-21,-18,-15,-12,-9,-6"/>
    </ParamUnit>
    <ParamUnit param_id="24">
      <Param name="digital_gain" value="-64,-50,-44,-39,-35,-31,-27,-24,-21,-18,-15,-12,-9,-6,-3,0"/>
    </ParamUnit>
    <ParamUnit param_id="25">
      <Param name="digital_gain" value="-64,-50,-44,-39,-35,-31,-27,-24,-21,-18,-15,-12,-9,-6,-3,0"/>
    </ParamUnit>
    <ParamUnit param_id="40">
      <Param name="digital_gain" value="-64,-52,-48,-44,-40,-36,-32,-28,-24,-20,-16,-12,-9,-6,-3,0"/>
    </ParamUnit>
    <ParamUnit param_id="66">
      <Param name="digital_gain" value="-64,-48,-45,-42,-39,-36,-33,-30,-27,-24,-21,-18,-15,-12,-9,-6"/>
    </ParamUnit>
    <ParamUnit param_id="77">
      <Param name="digital_gain" value="-64,-42,-37,-33,-30,-28,-26,-24,-21,-18,-15,-13,-11,-9,-7,-6"/>
    </ParamUnit>
    <ParamUnit param_id="87">
      <Param name="digital_gain" value="-64,-52,-48,-44,-40,-36,-32,-28,-24,-20,-16,-12,-9,-6,-3,0"/>
    </ParamUnit>
    <ParamUnit param_id="97">
      <Param name="digital_gain" value="-64,-52,-48,-44,-40,-36,-32,-28,-24,-20,-16,-12,-9,-6,-3,0"/>
    </ParamUnit>
    <ParamUnit param_id="110">
      <Param name="digital_gain" value="-64,-57,-52,-47,-42,-37,-33,-29,-25,-21,-17,-13,-9,-6,-3,0"/>
    </ParamUnit>
    <ParamUnit param_id="125">
      <Param name="digital_gain" value="-64,-48,-45,-42,-39,-36,-33,-30,-27,-24,-21,-18,-15,-12,-9,-6"/>
    </ParamUnit>
    <ParamUnit param_id="140">
      <Param name="digital_gain" value="-64,-48,-45,-42,-39,-36,-33,-30,-27,-24,-21,-18,-15,-12,-9,-6"/>
    </ParamUnit>
    <ParamUnit param_id="145">
      <Param name="digital_gain" value="-64,-50,-44,-39,-35,-31,-27,-24,-21,-18,-15,-12,-9,-6,-3,0"/>
    </ParamUnit>
    <ParamUnit param_id="150">
      <Param name="digital_gain" value="-64,-50,-44,-39,-35,-31,-27,-24,-21,-18,-15,-12,-9,-6,-3,0"/>
    </ParamUnit>
    <ParamUnit param_id="151">
      <Param name="digital_gain" value="-55,-52,-48,-45,-42,-39,-36,-33,-30,-27,-24,-21,-18,-15,-12,-9"/>
    </ParamUnit>
    <ParamUnit param_id="152">
      <Param name="digital_gain" value="-64,-52,-48,-44,-40,-36,-32,-28,-24,-20,-16,-12,-9,-6,-3,0"/>
    </ParamUnit>
    <ParamUnit param_id="153">
      <Param name="digital_gain" value="-64,-52,-48,-44,-40,-36,-32,-28,-24,-20,-16,-12,-9,-6,-3,0"/>
    </ParamUnit>
    <ParamUnit param_id="154">
      <Param name="digital_gain" value="-64,-57,-52,-47,-42,-37,-33,-29,-25,-21,-17,-13,-9,-6,-3,0"/>
    </ParamUnit>
    <ParamUnit param_id="155">
      <Param name="digital_gain" value="-64,-52,-48,-44,-40,-36,-32,-28,-24,-20,-16,-12,-9,-6,-3,0"/>
    </ParamUnit>
    <ParamUnit param_id="156">
      <Param name="digital_gain" value="-64,-50,-44,-39,-35,-31,-27,-24,-21,-18,-15,-12,-9,-6,-3,0"/>
    </ParamUnit>
    <ParamUnit param_id="157">
      <Param name="digital_gain" value="-64,-50,-44,-39,-35,-31,-27,-24,-21,-18,-15,-12,-9,-6,-3,0"/>
    </ParamUnit>
  </ParamUnitPool>
</AudioParam>
